/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/MouseWheelListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/MouseWheelEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Mouse_Wheel
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Mouse Wheel Events");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      jf.addMouseWheelListener(new HandleMouseWheel());

      //jf.add(new JLabel("A JLabel"));
      //jf.add(new JButton("Click Me"));
      //jf.add(new JCheckBox("JCheckBox"));
      //jf.add(new JComboBox<String>());
   }
}

class HandleMouseWheel implements MouseWheelListener
{
   @Override public void mouseWheelMoved(MouseWheelEvent e){System.out.println(e+"\n");}
}
