import java.awt.*
import javax.swing.*
import java.awt.event.*

final JFrame f = new JFrame()  // 1
f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE)
f.setTitle("JFrame with panel components.")
f.setSize(600, 600)

f.setLayout(new FlowLayout())

f.setLocationRelativeTo(null)
f.setVisible(true)

final JPanel p1 = new JPanel()  // 2
p1.setBackground(Color.gray)
p1.setPreferredSize(new Dimension(100, 100))
f.add(p1)

final JPanel p2 = new JPanel()  // 3
p2.setBackground(Color.gray)
p2.setPreferredSize(new Dimension(100, 100))
f.add(p2)

final JPanel p3 = new JPanel()  // 4
p3.setBackground(Color.gray)
p3.setPreferredSize(new Dimension(100, 100))
f.add(p3)

final JButton b1 = new JButton("JButton 1")  // 5
f.add(b1)
final JButton b2 = new JButton("JButton 2")  // 6
f.add(b2)
final JButton b3 = new JButton("JB 3")  // 7
f.add(b3)
final JButton b4 = new JButton("JB 4")  // 8
p2.add(b4)

f.addMouseListener(new MouseAdapter(){public void mouseEntered(MouseEvent e){System.out.println("JFrame in.");}
                                      public void mouseExited(MouseEvent e){System.out.println("JFrame out.");}
                                      public void mouseClicked(MouseEvent e){System.out.println("JFrame click event.");}})

p1.addMouseListener(new MouseAdapter(){public void mouseEntered(MouseEvent e){System.out.println("JPanel 1 in.");}
                                       public void mouseExited(MouseEvent e){System.out.println("JPanel 1 out.");}
                                       public void mouseClicked(MouseEvent e){System.out.println("JPanel 1 click event.");}})

p2.addMouseListener(new MouseAdapter(){public void mouseEntered(MouseEvent e){System.out.println("JPanel 2 in.");}
                                       public void mouseExited(MouseEvent e){System.out.println("JPanel 2 out.");}
                                       public void mouseClicked(MouseEvent e){System.out.println("JPanel 2 click event.");}})

b1.addActionListener(new ActionListener(){public void actionPerformed(ActionEvent e){System.out.println("JButton 1 action event.");}})

b2.addActionListener(new ActionListener(){public void actionPerformed(ActionEvent e){System.out.println("JButton 2 action event.");}})
b2.addMouseListener(new MouseAdapter(){public void mouseEntered(MouseEvent e){System.out.println("JButton 2 in.");}
                                       public void mouseExited(MouseEvent e){System.out.println("JButton 2 out.");}
                                       public void mouseClicked(MouseEvent e){System.out.println("JButton 2 click event.");}})

b4.addActionListener(new ActionListener(){public void actionPerformed(ActionEvent e){System.out.println("JButton 4 action event.");}})
b4.addMouseListener(new MouseAdapter(){public void mouseEntered(MouseEvent e){System.out.println("JButton 4 in.");}
                                       public void mouseExited(MouseEvent e){System.out.println("JButton 4 out.");}
                                       public void mouseClicked(MouseEvent e){System.out.println("JButton 4 click event.");}})
Graphics g0 = f.getGraphics()
Graphics g1 = p1.getGraphics()
Graphics g2 = p1.getGraphics()
Graphics g3 = p1.getGraphics()

p1.setSize(150, 150)
