/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/ActionListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/ActionEvent.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/javax/swing/Timer.html
   https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Timer.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.Timer;

public class Watch_Action_Timer
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Timer Action Events");
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      Timer timer = new Timer(1_000, new HandleActionTimer());
      timer.start();
   }
}

class HandleActionTimer implements ActionListener
{
   @Override public void actionPerformed(ActionEvent e){System.out.println(e+"\n");}
}
